package com.ruoyi.system.service;

import com.ruoyi.system.domain.OssFileUploadDTO;
import com.ruoyi.system.enums.OssFileEnum;
import org.springframework.web.multipart.MultipartFile;

import java.io.File;
import java.util.List;

/**
 * @Author 吴凯程
 * @Date 2025/6/16
 **/
public interface OssFileService {

    String uploadFileToOss(OssFileUploadDTO ossFileUploadDTO);

    String uploadFileToOss(OssFileEnum ossFileEnum, File file, String originalFileName, String userName);

    MultipartFile getFileFromOss(String uuid);

    void deleteFileFromOss(String uuid);

    void batchDeleteFileFromOss(List<String> uuids);

}
